=== arlan/Makefile ===

EXTRA=-DMODE_640
LINUXVERSION	= $(shell uname -r)
TOPDIR		= /usr
HPATH   	= $(TOPDIR)/include
MODLIB=/lib/modules/$(LINUXVERSION)
VER = 0.2

CCFLAGS =  -DMODULE -Wall -DMODVERSIONS -include \
	$(HPATH)/linux/modversions.h -Wstrict-prototypes \
	 -Wwrite-strings -Wredundant-decls -O3 -m486 \
	-D__KERNEL__ $(EXTRA) -I$(HPATH)

all: arlan.o

arlan.o: arlan.c
	gcc $(CCFLAGS) -c arlan.c
	chmod a+r arlan.o

install: arlan.o
	- ifconfig arlan0 down
	- rmmod arlan
	mkdir -p $(MODLIB)/misc
	cp -p arlan.o $(MODLIB)/misc
	/sbin/depmod -a
	sync
	/sbin/modprobe -r arlan
	cp -p arlan /etc/rc.d/init.d/arlan 
	chmod a+rx /etc/rc.d/init.d/arlan
	- rm -f /etc/rc.d/rc3.d/S05arla
	- rm -f /etc/rc.d/rc3.d/S05arlan
	ln -s /etc/rc.d/init.d/arlan /etc/rc.d/rc3.d/S05arlan

clean:
	rm -f *.o


release:
	tar cvf -  README arlan.c Makefile arlan arlan.lsm | gzip > arlan_$(VER).tgz
