=== ctar-14/Makefile ===
CC=gcc 
# debug flags
#CFLAGS=-c -Wall -DVERBOSE -DDEBUG -ggdb
# release flags
CFLAGS=-O3 -Wall -c
LDFLAGS=
#-L/usr/local/lib -ldmalloc 

all: ctar untar

untar: untar.o
	$(CC) -o untar untar.o
	strip $@

# debug target
#ctar: main.o misc.o create.o dump.o ctar.h
#	$(CC) $(LDFLAGS) -o ctar main.o misc.o create.o dump.o /usr/local/lib/*.o

# release target
ctar: main.o misc.o create.o dump.o ctar.h
	$(CC) -o ctar main.o misc.o create.o dump.o
	strip $@
	
main.o: main.c ctar.h
	$(CC) $(CFLAGS) -o main.o main.c

misc.o: misc.c ctar.h
	$(CC) $(CFLAGS) -o misc.o misc.c

create.o: create.c ctar.h
	$(CC) $(CFLAGS) -o create.o create.c

dump.o: dump.c ctar.h
	$(CC) $(CFLAGS) -o dump.o dump.c
	
untar.o: untar.c ctar.h
	$(CC) $(CFLAGS) -o untar.o untar.c

clean:
	rm -rf *.o core
