=== ezmenu/Makefile ===
CFLAGS=-Wall -O2 
INCLUDE=
LIBRARIES=-lncurses
OBJECTS=$(patsubst %.c,%.o,$(wildcard *.c))

PROG=ezmenu

STRIP= strip --remove-section=.note --remove-section=.comment $(PROG)
LDFLAGS= -s

all: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROG) $(OBJECTS) $(LIBRARIES) $(INCLUDE)
	$(STRIP)


clean:
	- rm -f $(OBJECTS) $(PROG)
