=== ae-962/debian/changelog ===
ae (962-14) frozen unstable; urgency=high

  * moved vi script from /usr/bin to /bin which fires up ae like vi.

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 4 May 1997 19:25:02 -0400

ae (962-13) frozen unstable; urgency=low

  * fixed .macro_define bug
  * added ae2vi.rc for vi compatability
  * changed setup in postinst script to set up ae like vi if no vi present

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 22 Apr 1997 12:05:43 -0400

ae (962-12) frozen unstable; urgency=low

  * bug #8350 escaped $ in mode.rc
  * bug #7040 removed spurios files from debian source files, left patches
  * bug #8222 installed gnu patch for alternate architectures
  * added Mark Baker's patch for +lineno, fixes less bug #8036
  * made ae.rc a conffiles

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 1 Apr 1997 13:36:42 -0500

ae (962-11) frozen unstable; urgency=low

  * installed "special character" patch
  * removed execute permissions from man and docs

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 13 Nov 1996 13:25:40 -0500

ae (962-10) unstable; urgency=low

  * removed -N linker option

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 23 Sep 1996 10:03:05 -0400

ae (962-9) unstable; urgency=low

  * convert to new source format
  * remove Essential field

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 1 Sept 1996 15:24:14 +0400

Changes for ae-962-8
	elf package
	* source package multi-architecture compatability hanges

Changes for ae-962-7
	elf package
	* added "PRIORITY: required" field to control file.
	* The debian-specific change in main.c:lineinput() to put
          terminal into raw mode turned off ICRNL.  Put terminal
          into half-baked mode by turning ICRNL back on here.

Changes for ae-962-6
	elf package
	* changes in main.c:lineinput() to avoid problem working with
	  ncurses-1.9.9e.

Changes for ae-962-5
	elf package
	* added Essential field to control file
	* added keybinding aliases to /etc/ae.rc
	* ^r, ^w, ^c (on menu) = read, write, quit-ask
	* ^f, ^b, ^p, ^n (not on menu) = forward, back, up, down

Changes for ae-962-4
	elf package
	* changed package version number format from 96.2 to 962
          (representing Feb, 96).  This is so that dselect will
	  upgrade instances of the previous ae-493 (representing
	  April, 93) package to this new one.

Changes for ae-96.2-3
	elf package
	* moved ae from /usr/bin to /bin

Changes for ae-96.2-2
	(changes not captured here)

Changes for ae-96.2-1
	elf package
	* initial upload -- replaces ae-493
        * added #ifndef DEBIAN block in header.h
        * added #ifdef DEBIAN block in main.c

ae-2.96 -- anthony's editor Feb 96 version
kitted up for debian by Bill Mitchell <mitchell@mdd.comm.mot.com>
from sources obtained via email from the author

Local variables:
mode: debian-changelog
End:
