=== ash-0.3.4-6-termios/debian/changelog ===
ash (0.3.4-6) unstable; urgency=low

  * Fixed incorrect -e test due to the last bug fix (fixes #26509).

 -- Herbert Xu <herbert@debian.org>  Tue,  8 Sep 1998 10:02:46 +1000

ash (0.3.4-5) unstable; urgency=low

  * Use test_eaccess from bash instead of access(2) (fixes #26110).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Aug 1998 21:22:49 +1000

ash (0.3.4-4) unstable; urgency=low

  * Only upload to unstable.

 -- Herbert Xu <herbert@debian.org>  Tue,  5 May 1998 18:01:02 +1000

ash (0.3.4-3) frozen unstable; urgency=low

  * Applied sparc patch (fixes #21562).

 -- Herbert Xu <herbert@debian.org>  Fri,  1 May 1998 19:48:13 +1000

ash (0.3.4-2) frozen unstable; urgency=low

  * Fixed the incorrect trap fixes (fixes #20363).

 -- Herbert Xu <herbert@debian.org>  Thu, 16 Apr 1998 21:07:10 +1000

ash (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Reverted word splitting change in 0.3.2-1 since the fix was broken and
    major work (the quote removal is done too quickly at the moment) is needed
    to fix it properly.
  * Fixed more trap noncompliance.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Mar 1998 22:59:12 +1100

ash (0.3.2-5) unstable; urgency=low

  * Fixed a bug when doing pattern matching in parameter expansions.

 -- Herbert Xu <herbert@debian.org>  Tue, 10 Mar 1998 21:25:40 +1100

ash (0.3.2-4) unstable; urgency=low

  * Allow ] to be quoted in bracket expressions (fixes #17533).
  * Move dh_fixperms to second last spot (fixes #18267).
  * Don't do field splitting in evalfor.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Feb 1998 13:32:09 +1100

ash (0.3.2-3) unstable; urgency=low

  * Fixed stupid core dump.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:33:55 +1100

ash (0.3.2-2) unstable; urgency=low

  * Hack for special builtins (fixes #18055).
  * Hack for command.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:19:46 +1100

ash (0.3.2-1) unstable; urgency=low

  * NetBSD-current version as of 19980209.
  * Fixed a word splitting problem after parameter expansion thanks to Alexey
    Marinichev.
  * Converted to debhelper (fixes #14612, #15005).

 -- Herbert Xu <herbert@debian.org>  Mon,  9 Feb 1998 16:53:48 +1100

ash (0.3.1-20) unstable; urgency=low

  * Fixed -e problem with eval.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 20:19:00 +1100

ash (0.3.1-19) unstable; urgency=low

  * Fixed -e problem with command substitution.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 19:44:49 +1100

ash (0.3.1-18) unstable; urgency=low

  * Do not link with ncurses (#15485).

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Nov 1997 12:00:11 +1100

ash (0.3.1-17) unstable; urgency=low

  * Set PATH like bash (#15238).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Nov 1997 16:17:27 +1100

ash (0.3.1-16) unstable; urgency=low

  * Fixed incorrect assignment builtin code.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Nov 1997 16:19:10 +1100

ash (0.3.1-15) unstable; urgency=low

  * hash now returns error codes (needed by the Linux kernel).

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 21:37:08 +1100

ash (0.3.1-14) unstable; urgency=low

  * Disabled word-splitting for assignment builtins.

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 12:45:15 +1100

ash (0.3.1-13) unstable; urgency=low

  * ! is now recognised even after &&/||.

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Nov 1997 22:09:05 +1100

ash (0.3.1-12) unstable; urgency=low

  * More fixes to the handling of SIGINT when forking.

 -- Herbert Xu <herbert@debian.org>  Fri, 14 Nov 1997 15:14:32 +1100

ash (0.3.1-11) unstable; urgency=low

  * Ignore SIGINT when forking non-interactively.

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Nov 1997 12:00:02 +1100

ash (0.3.1-10) unstable; urgency=low

  * echo now handles options correctly.
  * echo nolonger returns 0 if erorrs occured while writing to stdout.
  * New code from GNU echo merged.
  * Error messages from test now work.

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Oct 1997 21:47:13 +1000

ash (0.3.1-9) unstable; urgency=low

  * ! is recognised at pipeline level like bash.

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Sep 1997 23:13:45 +1000

ash (0.3.1-8) unstable; urgency=medium

  * Old patch regarding SIGCHLD in again.

 -- Herbert Xu <herbert@debian.org>  Sun, 31 Aug 1997 11:20:27 +1000

ash (0.3.1-7) unstable; urgency=low

  * /bin/sh -e is behaving even better now (for loops within conditionals).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 22:08:19 +1000

ash (0.3.1-6) unstable; urgency=low

  * /bin/sh -e is behaving better now.

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 13:16:26 +1000

ash (0.3.1-5) unstable; urgency=low

  * hash -v /dir/command doesn't coredump anymore.
  * type /dir/command now works correctly.

 -- Herbert Xu <herbert@debian.org>  Fri,  1 Aug 1997 20:48:19 +1000

ash (0.3.1-4) unstable; urgency=low

  * trap now understands symbolic signal names.

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Jul 1997 14:04:46 +1000

ash (0.3.1-3) unstable; urgency=low

  * Added the builtin test command.

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jul 1997 15:00:14 +1000

ash (0.3.1-2) unstable; urgency=medium

  * Fixed a coredump involving $*.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Jul 1997 12:03:02 +1000

ash (0.3.1-1) unstable; urgency=medium

  * NetBSD-current version as of 19970715.
  * Fixed a "use after free" bug (#11294).

 -- Herbert Xu <herbert@debian.org>  Fri, 18 Jul 1997 13:48:09 +1000

ash (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Jun 1997 19:29:16 +1000

Local variables:
mode: debian-changelog
add-log-mailing-address: "herbert@debian.org"
End:
