=== procps-1.2.9/debian/changelog ===
procps (1:1.2.9-3) unstable; urgency=low

  * Linked to ncurses4

 -- Craig Small <csmall@debian.org>  Fri, 30 Oct 1998 14:13:02 +1100

procps (1:1.2.9-2) unstable; urgency=low

  * top now has spaces in between command lines (Bug #28178 )
  * --version or -V now shows proper version.

 -- Craig Small <csmall@debian.org>  Mon, 26 Oct 1998 08:55:59 +1100

procps (1:1.2.9-1) unstable; urgency=low

  * New upstream version (Bug #27573 )
  * Menu entry changed from System to Menu/System (Bug #27438 )
  * Char variables changed to int for powerpc (Bug #26624 )
  * libproc now nulls allocated structure (Bug #26225 )
  * No longer uses psdevtab (yay!) (Bug #25388 )
  * ps doesn't double space command line parameters (Bug #25306 #24293 )
  * ps now silently ignores g flag for those BSD heads (Bug #24075 )  

 -- Craig Small <csmall@debian.org>  Fri,  9 Oct 1998 09:15:11 +1000

procps (1:1.2.7-2) unstable; urgency=low

  * Top can suspend twice (or three times even) (Bug #22997 )
  * Libraries properly built (Bug #20010 )

 -- Craig Small <csmall@debian.org>  Mon,  1 Jun 1998 09:16:09 +1000

procps (1:1.2.7-1) frozen unstable; urgency=high

  * New upstream source, fixes security bug (Bug #21475)

 -- Craig Small <csmall@debian.org>  Thu, 23 Apr 1998 08:04:54 +1000

procps (1:1.2.6-2) unstable; urgency=low

  * Fixed Shared library dependencies (bugs #18388 #18394 18392 )
  * Conflicts with earlier versions of w-bassman (bug #18389 )

 -- Craig Small <csmall@debian.org>  Mon, 23 Feb 1998 09:05:54 +1100

procps (1:1.2.6-1) unstable; urgency=low

  * New upstream source.
  * xload is undiverted (Bug #17102 )
  * ps_fields.7.gz removed (Bug #18090 )
  * Colour patches removed, color-related bugs gone (Bug #18008 #17217 #18090 )
  * POSIX patches removed, cmd line bugs gone (Bug #15537 )
  * w is now an alternative w.procps (Bug #17960 )
  * skill now works with process names (Bug #17087 )
  * ps and top man pages have their field descriptions (Bug #17360 )
  * ps u fixed (Bug #17313 )
  * Source code is no longer FUBAR (Bug #17892 )
  * top now redraws screen after config screen (Bug #11896 )
  * Circular dependency removed (Bug #16966 )
  * top does mess up screens with wrong cmd line (Bug #17230 )
  * top suspends with ctrl-Z  (Bug #16703 )

 -- Craig Small <csmall@debian.org>  Tue, 17 Feb 1998 08:31:21 +1100

procps (1:1.2.5-2) unstable; urgency=low

  * Moved /bin into /bin/ps (Bug #17001 )

 -- Craig Small <csmall@debian.org>  Tue, 13 Jan 1998 07:50:43 +1100

procps (1:1.2.5-1) unstable; urgency=low

  * TTY selection works ( #16724 ) 
  * top and ps now accept --colour and *_COLOURS
  * xproc copyright file not compressed ( #14491 )
  * All #include <proc/*.h> now #include "proc/*.h" ( #13482 ) 
  * Copyright doesn't mention psmisc now ( #16704 ) 
  * Moved ps back into /bin ( #16737  #16705 )
  * New upstream source ( #16795 )

 -- Craig Small <csmall@debian.org>  Mon, 12 Jan 1998 08:35:10 +1100

procps (1:1.2.2-1) unstable; urgency=low

  * New maintainer
  * Updated upstream source to 1.2.2 (instead of 1.2)
  * Merged Helmut's color/command line patches into upstream.
  * Copyright file is not compressed ( #14493 #14415 )
  * psdatabase refreshed when installing ( #10693 )
  * Fixed +/- line in free ( #10785 #10870 #11566 #12027 #12245 #12374 )
  * w collumns corrected ( #10898 #13117 )
  * top saves sort type ( #11553 )
  * Linked to libc6 ( #11725 )
  * top doesn't coredump with S option ( #11855 )
  * skill works with given patch ( #12023 )
  * libproc-dev has proper sym link ( #12697 )
  * top -h doesn't change terminal settings ( #13513 )
  * ps -s has "CAUGHT" not "CATCHED" ( #14342 )
  * ps_colors.7 and ps_fields.7 reformatted ( #14109 #14544 #14545 )
  * ps checks for tty before using colors ( #14596 )
  * top sets stop signal handler later, stopping race ( #14769 )
  * When using POSIX personality, processes show up ( #14780 )
  * top checks for valid term type ( #15807 )
  * xproc now Depends on procps-1.2.*-* ( #10762 #13347 )
  * xproc dependencies fixed ( #12698 )

 -- Craig Small <csmall@debian.org>  Tue, 30 Dec 1997 11:33:54 +1100

procps (1.12.2.1) unstable; urgency=low

  * Non-maintainer release, built for libc6.
  * Added in free.c from new procps version 1.2.3 (from sunsite), seems to
    fix all the problems with free reporting bogus valus.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 24 Oct 1997 13:34:35 -0400

procps (1.12.2) stable unstable; urgency=low

  * fixed meminfo handling again, as the fix wouldn't work on pre-2.1.x
    kernels. 
  * fixed free to use the meminfo routines from libproc.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 13 Jun 1997 22:42:14 +0200

procps (1.12.1) stable unstable; urgency=low

  * fixed several bugs
  * replaced utmp handling to support wrappers.
  * added /proc/meminfo support for 2.1.x kernels.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 10 Jun 1997 23:59:41 +0200

procps (1.11.6) frozen unstable; urgency=medium

  * psmisc 1.14 : new upstream version (mainly bugfixes)
  * added a lot of new serial device major numbers to the device lookup
    code. Somehow it seems there are new serial devices every other week.
  * fixed a bug in top: broken .toprc may cause a segmentation fault.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 4 May 1997 09:50:30 +0200

procps (1.11.5) frozen unstable; urgency=medium

  * minor changes to make it compile with libc6
  * fix top behaviour on machines having nonstandard NR_TASKS up to 4k
    tasks 

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 18 Apr 1997 02:07:46 +0200

procps (1.11.4) unstable; urgency=medium

  * strip libproc.so from unneeded symbols (Bug# 8311)
  * fixed watch.1 example (Bug# 8169)
  * partly fixed fuser sigsegv core dump (Bug# 8004)
  * menu entries for xproc and procps (Bug# 8325)
  * divertions for xmem and xload. (Bug# 7565)
  

