=== ae-962/debian/control ===
Source: ae
Section: base
Priority: required
Maintainer: Dale Scheetz <dwarf@polaris.net>
Standards-Version: 2.0.0.0

Package: ae
Architecture: any
Depends: ${shlibs:Depends}
Description: Anthony's Editor -- a tiny full-screen editor
 ae is a tiny full-screen text editor with both modal (vi-like)
 and modeless (emacs-like) modes, determined by an ae.rc config file.
 .
 Keybindings are configurable in the startup file.
