=== ash-0.3.4-6-termios/debian/control ===
Source: ash
Section: shells
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 2.4.0.0

Package: ash
Architecture: any
Depends: ${shlibs:Depends}
Description: NetBSD /bin/sh
 Don't install this program, you already have "bash", which is a better
 shell than "ash".
 .
 The primary virtue of "ash" is that it's small, and we take advantage of
 that by making it the shell on the installation root floppy, where space
 is at a premium. "Bash", however, has some nice features absent from
 "ash", and "bash" is a required part of the system, so there isn't much
 reason to use "ash".
