=== busybox-0.46/debian/control ===
Source: busybox
Priority: optional
Maintainer: Erik Andersen <andersee@debian.org>
Build-Depends: debhelper
Standards-Version: 3.1.1

Package: busybox
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: binutils, bsdutils, console-tools, cpio, debianutils, dnsutils, dpkg, fbset, fdflush, fileutils, grep, gzip, hostname, modutils, mount, netbase, procps, psmisc, sed, sharutils, shellutils, sysklogd, sysvinit, tar, textutils, update, util-linux
Replaces: netbase
Section: utils
Description: Tiny utilities for the debian-installer and for embedded systems. 
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e. ls, cp, mv,
 mount, tar, etc).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 BusyBox is used by the debian-installer.  Installing BusyBox onto your Debian
 system is not recommended, unless you are intended to make a very small
 embedded system.  Chances are good that for embedded systems, you will want to
 recompile to only include the tools and utilities you wish to include.

Package: busybox-static
Architecture: any
Depends: ${shlibs:Depends}
Section: shells
Description: Provides a stand alone rescue shell with tons of builtin utilities. 
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e. ls, cp, mv,
 mount, tar, etc).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 BusyBox-static provides you with a statically linked simple stand alone shell
 that provides all the utilities available in BusyBox.  This package is
 intended to be used as a rescue shell, in the event that you screw up your
 system.  Invoke "busybox sh" and you have a standalone shell ready to save
 your system from certain destruction.  Invoke "busybox", and it will list the
 available builtin commands.
