=== procps-1.2.9/debian/control ===
Source: procps
Section: base
Priority: required
Maintainer: Craig Small <csmall@debian.org>
Standards-Version: 2.3.0.1

Package: procps
Architecture: any
Replaces: watch
Provides: watch
Depends: ${shlibs:Depends}
Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-2)
Recommends: psmisc
Description: The /proc file system utilities.
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.

Package: libproc-dev
Architecture: any
Section: devel
Priority: optional
Depends: libc6-dev, procps (>> 1:1.2.9-0), procps (<< 1:1.2.10-0)
Description: library for accessing process information from /proc
 These are the header files and static library manpages for 
 libproc. Some packages using libproc to access process information
 from /proc need these to compile.

Package: xproc
Architecture: any
Section: admin
Priority: optional
Depends: ${shlibs:Depends}
Description: some tools to display process information on X
 This package includes some X programs displaying load, memory use or
 cpu states.
