=== ae-962/debian/rules ===
#! /usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownership.

CC = gcc
CFLAGS = -O2 -DDEBIAN -DTERMIOS -DBADCURSES # ncurses terminfo
# CFLAGS = -g -DDEBIAN -DTERMIOS -DBADCURSES # debugging ncurses terminfo
# CFLAGS = -O2 -DDEBIAN -DTERMCAP -DBADCURSES # termcap
# CFLAGS = -g -DDEBIAN -DTERMCAP # debugging termcap
LDFLAGS = -s
# LDFLAGS = # debugging
prefix=/usr
# LIBS = -lcurses -ltermcap # termcap
LIBS = -lncurses # terminfo

package=ae

build:
	$(checkdir)
# Builds the binary package.
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
	touch build

clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f build stamp-build
	rm -f *.o ae core
	rm -rf *~ debian/tmp debian/*~

binary-indep:
# None--
	@echo >&2 'No architecture independant portions'; false

binary binary-arch:	checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	cp debian/copyright debian/tmp/usr/doc/$(package)
	cp debian/preinst debian/tmp/DEBIAN/.
	cp debian/conffiles debian/tmp/DEBIAN/conffiles
	chmod +x debian/tmp/DEBIAN/preinst
	install -d debian/tmp/bin
	install -s ./ae debian/tmp/bin/.
	cp vi.sh debian/tmp/bin/vi
	install -d debian/tmp/etc
	install -m 644 debian.modeless.ti debian/tmp/etc/ae.rc
	install -m 644 ae2vi.rc debian/tmp/etc/ae2vi.rc
	install -d debian/tmp/usr/man/man1
	install -m 644 debian.ae.1 debian/tmp/usr/man/man1/ae.1
	install -d debian/tmp/usr/doc/ae
	install -m 644 ae.man debian/tmp/usr/doc/ae/ae.man
	install -m 644 debian.modeless.ti \
		debian/tmp/usr/doc/ae/debian.modeless.ti
	install -m 644 mode.rc debian/tmp/usr/doc/ae/mode.rc
	install -m 644 modeless.pc debian/tmp/usr/doc/ae/modeless.pc
	install -m 644 modeless.rc debian/tmp/usr/doc/ae/modeless.rc
	install -m 644 modeless.tc debian/tmp/usr/doc/ae/modeless.tc
	install -m 644 modeless.ti debian/tmp/usr/doc/ae/modeless.ti
	gzip -9f debian/tmp/usr/doc/ae/*
	gzip -9f debian/tmp/usr/man/man1/ae.1
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir:
	test -f $(package).man -a -f debian/rules
endef

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
