=== ash-0.3.4-6-termios/debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.11 1998/03/11 10:26:44 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	pmake CFLAGS='-O2 -g -Wall -DBSD -DSMALL -DSHELL -D__COPYRIGHT\(x\)= \
		-D__RCSID\(x\)= -I. -I$${.CURDIR} $${COPTS}' YACC=byacc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	pmake clean
	rm -f sh.cat1 mksignames signames.h

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install sh debian/tmp/bin/ash
	install -m 644 sh.1 debian/tmp/usr/man/man1/ash.1

	dh_installdocs TOUR
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages sh.1 echo.1
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
